osl::move_probability::FeatureSet Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
osl::move_probability::FeatureSet Class Reference

`#include <featureSet.h>`

Inheritance diagram for osl::move_probability::FeatureSet:
[legend]

## Public Member Functions
| ~FeatureSet ()
void | pushBack (Feature *, bool light=false)
void | addFinished ()
int | dimension () const
double | matchExp (const StateInfo &, Move, const double *weights) const
double | matchNoExp (const StateInfo &, Move, const double *weights) const
void | generateLogProb (const StateInfo &state, MoveLogProbVector &out, const double *weights) const
double | matchLight (const StateInfo &, Move, const double *weights) const
bool | load (const char *base_filename, double *weights) const
bool | load_binary (const char *base_filename, double *weights) const
void | showSummary (const double *weights) const
void | analyze (const StateInfo &state, Move move, const double *weights) const
double | generateRating (const StateInfo &state, WeightedMoveVector &out, const double *weights) const

## Static Public Member Functions
static void | ratingToLogProb (const WeightedMoveVector &rating, double sum, MoveLogProbVector &out)

## Protected Member Functions
| FeatureSet ()

## Private Attributes
boost::ptr_vector< Feature > | features
osl::vector< int > | offsets
osl::vector< int > | light_features

## Detailed Description

Definition at line 21 of file move_probability/featureSet.h.

## Constructor & Destructor Documentation

osl::move_probability::FeatureSet::FeatureSet | ( | ) |  |
| protected

Definition at line 24 of file move_probability/featureSet.cc.

osl::move_probability::FeatureSet::~FeatureSet | ( | ) |  |

Definition at line 29 of file move_probability/featureSet.cc.

## Member Function Documentation

void osl::move_probability::FeatureSet::addFinished | ( | ) |  |

Definition at line 42 of file move_probability/featureSet.cc.

Referenced by osl::move_probability::StandardFeatureSet::StandardFeatureSet().

void osl::move_probability::FeatureSet::analyze | ( | const StateInfo & | state,
|  | Move | move,
|  | const double * | weights
| ) |  | const

Definition at line 82 of file move_probability/featureSet.cc.

References out, and osl::record::csa::show().

int osl::move_probability::FeatureSet::dimension | ( | ) |  | const
| inline

Definition at line 31 of file move_probability/featureSet.h.

References offsets.

void osl::move_probability::FeatureSet::generateLogProb | ( | const StateInfo & | state,
|  | MoveLogProbVector & | out,
|  | const double * | weights
| ) |  | const

Definition at line 136 of file move_probability/featureSet.cc.

References moves.

Referenced by osl::move_probability::StandardFeatureSet::generateLogProb().

double osl::move_probability::FeatureSet::generateRating | ( | const StateInfo & | state,
|  | WeightedMoveVector & | out,
|  | const double * | weights
| ) |  | const

Definition at line 104 of file move_probability/featureSet.cc.

References osl::move_probability::StateInfo::dirty, osl::move_generator::capture::generate(), moves, and osl::move_probability::StateInfo::state.

Referenced by osl::move_probability::StandardFeatureSet::generateLogProb2().

bool osl::move_probability::FeatureSet::load | ( | const char * | base_filename,
|  | double * | weights
| ) |  | const

Definition at line 145 of file move_probability/featureSet.cc.

bool osl::move_probability::FeatureSet::load_binary | ( | const char * | base_filename,
|  | double * | weights
| ) |  | const

Definition at line 162 of file move_probability/featureSet.cc.

double osl::move_probability::FeatureSet::matchExp | ( | const StateInfo & | state,
|  | Move | move,
|  | const double * | weights
| ) |  | const

Definition at line 63 of file move_probability/featureSet.cc.

Referenced by osl::move_probability::StandardFeatureSet::matchExp().

double osl::move_probability::FeatureSet::matchLight | ( | const StateInfo & | state,
|  | Move | move,
|  | const double * | weights
| ) |  | const

Definition at line 69 of file move_probability/featureSet.cc.

Referenced by osl::move_probability::StandardFeatureSet::matchLight().

double osl::move_probability::FeatureSet::matchNoExp | ( | const StateInfo & | state,
|  | Move | move,
|  | const double * | weights
| ) |  | const

Definition at line 51 of file move_probability/featureSet.cc.

References features, and offsets.

Referenced by osl::move_probability::StandardFeatureSet::matchNoExp().

void osl::move_probability::FeatureSet::pushBack | ( | Feature * | f,
|  | bool | light = `false`
| ) |  |

Definition at line 34 of file move_probability/featureSet.cc.

Referenced by osl::move_probability::StandardFeatureSet::StandardFeatureSet().

void osl::move_probability::FeatureSet::ratingToLogProb | ( | const WeightedMoveVector & | rating,
|  | double | sum,
|  | MoveLogProbVector & | out
| ) |  |
| static

Definition at line 121 of file move_probability/featureSet.cc.

References osl::eval::max().

void osl::move_probability::FeatureSet::showSummary | ( | const double * | weights) |  | const

Definition at line 181 of file move_probability/featureSet.cc.

References osl::move_probability::Feature::dimension(), osl::eval::max(), osl::eval::min(), and osl::move_probability::Feature::name().

## Member Data Documentation

boost::ptr_vector<Feature> osl::move_probability::FeatureSet::features
| private

Definition at line 23 of file move_probability/featureSet.h.

Referenced by matchNoExp().

osl::vector<int> osl::move_probability::FeatureSet::light_features
| private

Definition at line 24 of file move_probability/featureSet.h.

osl::vector<int> osl::move_probability::FeatureSet::offsets
| private

Definition at line 24 of file move_probability/featureSet.h.

Referenced by dimension(), and matchNoExp().

The documentation for this class was generated from the following files:

- move_probability/featureSet.h
- move_probability/featureSet.cc